mbed TLS v2.23.0: psa_drv_se_t Struct Reference

mbed TLS v2.23.0

Data Fields
psa_drv_se_t Struct Reference
Secure element driver registration

`#include <crypto_se_driver.h>`

Collaboration diagram for psa_drv_se_t:
[legend]

## Data Fields
uint32_t | hal_version
size_t | persistent_data_size
psa_drv_se_init_t | p_init
const psa_drv_se_key_management_t * | key_management
const psa_drv_se_mac_t * | mac
const psa_drv_se_cipher_t * | cipher
const psa_drv_se_aead_t * | aead
const psa_drv_se_asymmetric_t * | asymmetric
const psa_drv_se_key_derivation_t * | derivation

## Detailed Description

A structure containing pointers to all the entry points of a secure element driver.

Future versions of this specification may add extra substructures at the end of this structure.

Definition at line 1289 of file crypto_se_driver.h.

## Field Documentation

## ◆ aead

const psa_drv_se_aead_t* psa_drv_se_t::aead

Definition at line 1322 of file crypto_se_driver.h.

## ◆ asymmetric

const psa_drv_se_asymmetric_t* psa_drv_se_t::asymmetric

Definition at line 1323 of file crypto_se_driver.h.

## ◆ cipher

const psa_drv_se_cipher_t* psa_drv_se_t::cipher

Definition at line 1321 of file crypto_se_driver.h.

## ◆ derivation

const psa_drv_se_key_derivation_t* psa_drv_se_t::derivation

Definition at line 1324 of file crypto_se_driver.h.

## ◆ hal_version

uint32_t psa_drv_se_t::hal_version

The version of the driver HAL that this driver implements. This is a protection against loading driver binaries built against a different version of this specification. Use PSA_DRV_SE_HAL_VERSION.

Definition at line 1295 of file crypto_se_driver.h.

## ◆ key_management

const psa_drv_se_key_management_t* psa_drv_se_t::key_management

Definition at line 1319 of file crypto_se_driver.h.

## ◆ mac

const psa_drv_se_mac_t* psa_drv_se_t::mac

Definition at line 1320 of file crypto_se_driver.h.

## ◆ p_init

psa_drv_se_init_t psa_drv_se_t::p_init

The driver initialization function.

This function is called once during the initialization of the PSA Cryptography subsystem, before any other function of the driver is called. If this function returns a failure status, the driver will be unusable, at least until the next system reset.

If this field is `NULL`, it is equivalent to a function that does nothing and returns PSA_SUCCESS.

Definition at line 1317 of file crypto_se_driver.h.

## ◆ persistent_data_size

size_t psa_drv_se_t::persistent_data_size

The size of the driver's persistent data in bytes.

This can be 0 if the driver does not need persistent data.

See the documentation of psa_drv_se_context_t::persistent_data for more information about why and how a driver can use persistent data.

Definition at line 1305 of file crypto_se_driver.h.

The documentation for this struct was generated from the following file:

- crypto_se_driver.h